### A free/open-source library for quantitative finance

Public Member Functions
YoYInflationIndex Class Reference

Base class for year-on-year inflation indices. More...

`#include <ql/indexes/inflationindex.hpp>`

Inheritance diagram for YoYInflationIndex:
[legend]

List of all members.

## Public Member Functions

| YoYInflationIndex (const std::string &familyName, const Region &region, bool revised, bool interpolated, bool ratio, Frequency frequency, const Period &availabilityLag, const Currency &currency, const Handle< YoYInflationTermStructure > &ts=Handle< YoYInflationTermStructure >())
Index interface
Rate | fixing (const Date &fixingDate, bool forecastTodaysFixing=false) const
Other methods
bool | ratio () const
Handle< YoYInflationTermStructure > | yoyInflationTermStructure () const
boost::shared_ptr < YoYInflationIndex > | clone (const Handle< YoYInflationTermStructure > &h) const

## Detailed Description

Base class for year-on-year inflation indices.

These may be genuine indices published on, say, Bloomberg, or "fake" indices that are defined as the ratio of an index at different time points.

## Member Function Documentation

Rate fixing | ( | const Date & | fixingDate,
|  | bool | forecastTodaysFixing = `false`
| ) |  | const`[virtual]`

Warning:
  the forecastTodaysFixing parameter (required by the Index interface) is currently ignored.

Implements InflationIndex.